|  | Home · All Classes · Modules

# Phonon.AudioOutputDevice Class Reference
[phonon module]

### Methods

- __init__ (self)
- __init__ (self, int index, unknown-type properties)
- __init__ (self, AudioOutputDevice)
- QString description (self)
- int index (self)
- bool isValid (self)
- QString name (self)
- QVariant property (self, str name)
- unknown-type propertyNames (self)

### Static Methods

- AudioOutputDevice fromIndex (int index)

### Special Methods

- bool __eq__ (self, AudioOutputDevice otherDescription)
- bool __ne__ (self, AudioOutputDevice otherDescription)

## Detailed Description

## Method Documentation

### AudioOutputDevice.__init__ (self)

### AudioOutputDevice.__init__ (self, int index, unknown-type properties)

### AudioOutputDevice.__init__ (self, AudioOutputDevice)

### QString AudioOutputDevice.description (self)

### AudioOutputDevice AudioOutputDevice.fromIndex (int index)

### int AudioOutputDevice.index (self)

### bool AudioOutputDevice.isValid (self)

### QString AudioOutputDevice.name (self)

### QVariant AudioOutputDevice.property (self, str name)

### unknown-type AudioOutputDevice.propertyNames (self)

### bool AudioOutputDevice.__eq__ (self, AudioOutputDevice otherDescription)

### bool AudioOutputDevice.__ne__ (self, AudioOutputDevice otherDescription)